<?php
/**
 * Renders the HTML for certificate generation.
 */

defined( 'ABSPATH' ) || exit;

/**
 * Certificate download link.
 *
 * @var string $certificate_download_link
 */
?>

<br>
<?php
esc_html_e(
	'Click this button to generate a new certificate request to upload to Swish. This will invalidate any existing certificates created here.',
	'flo-checkout-plugin'
);
wp_kses_post(
	sprintf(
	// translators: %1$s and %2$s are placeholders for HTML tags.
		__(
			'The generated certificate request file should be uploaded to the %1$sSwish Business Portal%2$s.',
			'flo-checkout-plugin'
		),
		'<a href="https://portal.swish.nu/" target="_blank">',
		'</a>'
	)
);
?>
<br><br>
<button id="nm-generate-new-cert-open">
	<?php esc_html_e( 'Generate new certificate request', 'flo-checkout-plugin' ); ?>
</button>
<br><br>
<?php
echo wp_kses_post( $certificate_download_link );
